diff --git a/src/backend/bootstrap/bootstrap.c b/src/backend/bootstrap/bootstrap.c
index 9238fbe98d..d1d024e004 100644
--- a/src/backend/bootstrap/bootstrap.c
+++ b/src/backend/bootstrap/bootstrap.c
@@ -190,7 +190,8 @@ static IndexList *ILHead = NULL;
  *	 AuxiliaryProcessMain
  *
  *	 The main entry point for auxiliary processes, such as the bgwriter,
- *	 walwriter, walreceiver, bootstrapper and the shared memory checker code.
+ *	 walwriter, walreceiver, bootstrap mode backend and the shared memory
+ *	 checker code.
  *
  *	 This code is here just because of historical reasons.
  */
diff --git a/src/backend/main/main.c b/src/backend/main/main.c
index a9edbfd4a4..e2e9322c9e 100644
--- a/src/backend/main/main.c
+++ b/src/backend/main/main.c
@@ -198,6 +198,10 @@ main(int argc, char *argv[])
 	pgwin32_signal_initialize();
 #endif
 
+	/*
+	 * Bootstrap mode for initdb.  This mode is handled by
+	 * AuxiliaryProcessMain() for historical reasons.
+	 */
 	if (argc > 1 && strcmp(argv[1], "--boot") == 0)
 		AuxiliaryProcessMain(argc, argv);	/* does not return */
 	else if (argc > 1 && strcmp(argv[1], "--describe-config") == 0)
diff --git a/src/bin/initdb/initdb.c b/src/bin/initdb/initdb.c
index 88a261d9bd..f06b7bba1f 100644
--- a/src/bin/initdb/initdb.c
+++ b/src/bin/initdb/initdb.c
@@ -2928,7 +2928,7 @@ initialize_data_directory(void)
 
 	check_ok();
 
-	/* Top level PG_VERSION is checked by bootstrapper, so make it first */
+	/* Top level PG_VERSION is checked by bootstrap mode backend, so make it first */
 	write_version_file(NULL);
 
 	/* Select suitable configuration settings */
